Retrieve a tip

GET <baseURL>/clients/tips/client/{clientId}/externalorder/{externalOrderId}

This request retrieves tip details for a prior delivery or delivery driver.

If a tip has not been assigned to the externalOrderId, or no tip is available, this request returns an error.

Examples

This example retrieves a tip from externalOrderId 2855066270 and clientId 2.

GET {baseURL}/clients/tips/client/2/externalorder/2855066270

Response body:

{ "tip": { "amount": 10.36, "currency": "USD" }, "externalOrderId": "33911649269272", "clientId": "2", "status": "UNPROCESSED", "pickupPointId": "101979"
}

See Also

To add a tip for a delivery or delivery driver, see POST /clients/tips.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Path Params
string
required

Specifies the client identifier associated with the client.

Example: 49304

string
required

Specifies the external order identifier.

The externalOrderId is a value specified by the client at the time the order is placed.
This allows the client to customize the order number, such as to be consistent with their own numbering system, or to be easier to read.
The externalOrderId is different than the deliveryId, which is a value assigned by Walmart GoLocal at the
time the order is placed.
Regardless, the externalOrderId and deliveryId refer to the same delivery order.

Example: 465-RMN-TU

Headers
string
required

Specifies the literal value for Bearer \<authenticationToken\>.

The authenticationToken is an access token representing a user’s valid authorization and authentication permissions.
See Authentication for additional information.

Example: Bearer eyJraWQiOiI1N…yLTQ4MjctOGUz

uuid
required
length between 36 and 36

Specifies the value for <consumer_id>.

This is the Client Consumer ID for the OAuth2 client credentials.
See the Walmart Client Center's Walmart administrator, client administrator, or development management for this value.

Example: 685f74bf-b8ca-447d-8338-966di751443f

string

Specifies the request log identifier.

This optional header can be any value.
Walmart GoLocal uses this value to log requests and error situations.

Examples:

2398

685f74bf-b8ca-447d-8338-966dd751445f

Responses

404

Not Found. The requested resource was not found on the server.

405

Method Not Allowed. The target resource doesn't support this method.

Language
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json